.wrapper-read-product {
    border: 1px solid #ccc;
    margin: 20px 20px 0 20px;
    display: flex;
    padding: 10px;
    word-break: break-word;
    background: #fff;
}

.wrapper-top-read-product {
    border: none;
    padding: 0px;
    background: #f4f4f4;
}

.wrapper-center-read-product {
    flex-flow: column;
}

.wrapper-admin-images-read-product {
    padding: 5px;
    flex-flow: wrap;
}

.wrapper-bottom-read-product {
    flex-flow: column;
    margin-bottom: 20px;
}

.inner-wrapper-read-product {
    border: 1px solid #ccc;
    padding: 10px;
    background: #fff;
}

.inner-wrapper-addition-read-product {
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.inner-wrapper-last-read-product {
    min-width: 245px;
}

.delivery-inner-wrapper-read-product {
    background: #4b2d73;
    display: flex;
    justify-content: center;
    height: 100%;
}

.delivery-inner-wrapper-read-product > img {
    width: 100%;
}

.inner-wrapper-image-read-product {
    min-width: 500px;
    width: 100%;
}

.inner-wrapper-title-read-product {
    color: #000;
    font-size: 20px;
    font-variant: all-small-caps;
    line-height: 100%;
}

.inner-wrapper-rating-read-product {
    color: orange;
    font-size: 20px;
}

.inner-wrapper-price-read-product {
    font-size: 30px;
    color: #f57224;
}

.inner-wrapper-initial-price-box-read-product {
    display: flex;
}

.inner-wrapper-initial-price-read-product {
    text-decoration: line-through;
    font-size: 14px;
    color: #9e9e9e;
}

.inner-wrapper-discount-read-product {
    font-size: 14px;
    color: #212121;
    margin-left: 6px;
}

.inner-wrapper-quantity-box-read-product {
    display: flex;
}

.inner-wrapper-quantity-title-read-product {
    margin: 15px 0px;
}

.inner-wrapper-quantity-read-product {
    display: flex;
    margin: 10px;
}

.inner-wrapper-quantity-value-read-product {
    width: 50px;
    height: 100%;
    border: none;
    outline: none;
    padding: 5px 0;
    font-weight: 400;
    vertical-align: baseline;
    background-color: transparent;
    text-align: center;
}

.inner-wrapper-quantity-button-read-product {
    padding: 5px 10px;
    cursor: pointer;
    background: #f4f4f4;
    border-radius: 10%;
    width: 35px;
    text-align: center;
    height: 35px;
    transition: 0.3s;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.inner-wrapper-quantity-button-read-product:hover {
    background: #ccc;
}

.inner-wrapper-purchase-box-read-product {
    display: flex;
    margin: 10px 0 0 0;
}

.inner-wrapper-buy-btn-read-product {
    width: 225px;
    text-align: center;
    margin-right: 10px;
    border: 1px solid #ffb916;
    background: #ffb916;
    color: #fff;
    height: 44px;
    font-size: 16px;
    transition: 0.3s;
}

.inner-wrapper-buy-btn-read-product:hover {
    border: 1px solid #d69b11;
    background: #d69b11;
}

.inner-wrapper-add-btn-read-product {
    width: 225px;
    text-align: center;
    margin-right: 10px;
    border: 1px solid #f57224;
    background: #f57224;
    color: #fff;
    height: 44px;
    font-size: 16px;
    transition: 0.3s;
}

.inner-wrapper-add-btn-read-product:hover {
    border: 1px solid #c95510;
    background: #c95510;
}

.admin-image-wrapper-read-product {
    max-width: 200px;
    border: 1px solid #ccc;
    margin: 5px;
}

.admin-main-image-wrapper-read-product {
    background: #f57224;
    border: 1px solid #f57224;
}

.admin-image-wrapper-img-read-product {
    width: 100%;
}

.admin-add-image-read-product {
    display: flex;
    justify-content: center;
    margin: 5px;
    max-width: 200px;
    width: 100%;
    border: 1px solid #ccc;
    background: white;
    align-items: center; 
    cursor: pointer;
}

.admin-add-image-read-product > i {
    font-size: 50px;
    color: #ccc;
}

.product-details-title-read-product {
    font-weight: bold;
    font-size: 16px;
    color: #212121;
}

.product-details-value-read-product {
    margin: 20px 10px 0 10px;
}

.product-details-left-value-read-product {
    width: 40%;
    float: left;
}

.product-details-right-value-read-product {
    width: 60%;
    float: right;
}

.product-details-full-description-read-product {
    margin-top: 20px;
}

@media (max-width: 576px){
    .wrapper-read-product {
        flex-wrap: wrap;
        margin-top: 0;
        margin-bottom: 20px;
    }
    
    .wrapper-top-read-product {
        margin-bottom: 0;
    }
    
    .inner-wrapper-read-product {
        width: 100%;
        margin-top: 20px;
        margin-bottom: 20px;
    }
    
    .inner-wrapper-addition-read-product {
        margin-top: 0;
        margin-left: 0;
    }
    
    .inner-wrapper-image-read-product {
        min-width: 100%;
    }
    
    .img-read-product {
        width: inherit;
    }
    
    .inner-wrapper-purchase-box-read-product {
        flex-flow: column;
    }
    
    .inner-wrapper-buy-btn-read-product {
        width: 100%;
        margin-bottom: 10px;
    }
    
    .inner-wrapper-add-btn-read-product {
        width: 100%;
    }
    
    .inner-wrapper-quantity-title-read-product {
        width: 100%;
    }
    
    .product-details-left-value-read-product {
        width: 100%;
        float: left;
    }

    .product-details-right-value-read-product {
        width: 100%;
        float: left;
    }
}